clang 8.0.0

Static Public Member Functions | Protected Member Functions | List of all members
clang::TypeAttr Class Reference

`#include "clang/AST/Attr.h"`

Inheritance diagram for clang::TypeAttr:
[legend]
Collaboration diagram for clang::TypeAttr:
[legend]

## Static Public Member Functions
static bool | classof (const Attr *A)

## Protected Member Functions
| TypeAttr (attr::Kind AK, SourceRange R, unsigned SpellingListIndex, bool IsLateParsed)
Protected Member Functions inherited from clang::Attr
void * | operator new (size_t bytes) noexcept
void | operator delete (void *data) noexcept
| Attr (attr::Kind AK, SourceRange R, unsigned SpellingListIndex, bool IsLateParsed)

## Additional Inherited Members
Public Member Functions inherited from clang::Attr
void * | operator new (size_t Bytes, ASTContext &C, size_t Alignment=8) noexcept
void | operator delete (void *Ptr, ASTContext &C, size_t Alignment) noexcept
attr::Kind | getKind () const
unsigned | getSpellingListIndex () const
const char * | getSpelling () const
SourceLocation | getLocation () const
SourceRange | getRange () const
void | setRange (SourceRange R)
bool | isInherited () const
bool | isImplicit () const
| Returns true if the attribute has been implicitly created instead of explicitly written by the user. More...
void | setImplicit (bool I)
void | setPackExpansion (bool PE)
bool | isPackExpansion () const
Attr * | clone (ASTContext &C) const
bool | isLateParsed () const
void | printPretty (raw_ostream &OS, const PrintingPolicy &Policy) const
Protected Attributes inherited from clang::Attr
unsigned | SpellingListIndex: 4
| An index into the spelling list of an attribute defined in Attr.td file. More...
unsigned | Inherited: 1
unsigned | IsPackExpansion: 1
unsigned | Implicit: 1
unsigned | IsLateParsed: 1
unsigned | InheritEvenIfAlreadyPresent: 1

## Detailed Description

Definition at line 117 of file Attr.h.

## Constructor & Destructor Documentation

## ◆ TypeAttr()

clang::TypeAttr::TypeAttr | ( | attr::Kind | AK,
|  | SourceRange | R,
|  | unsigned | SpellingListIndex,
|  | bool | IsLateParsed
| ) |  |
| inline protected

Definition at line 119 of file Attr.h.

## Member Function Documentation

## ◆ classof()

static bool clang::TypeAttr::classof | ( | const Attr * | A | ) |
| inline static

Definition at line 124 of file Attr.h.

References clang::Attr::getKind().

The documentation for this class was generated from the following file:

- include/clang/AST/Attr.h